## visad.data.fits
Class ShortArrayConverter

    java.lang.Object
      visad.data.fits.GenericArrayConverter
          visad.data.fits.ShortArrayConverter

class ShortArrayConverter
extends GenericArrayConverter

Field Summary
`(package private) boolean` `unsigned`

Fields inherited from class visad.data.fits.GenericArrayConverter
`lengths, o`

Constructor Summary
`ShortArrayConverter(int[] lengths, boolean unsigned)`

Method Summary
`(package private) void` `assign(Object obj, int i, double v)`

Methods inherited from class visad.data.fits.GenericArrayConverter
`getColumnMajor, getRowMajor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### unsigned

    boolean unsigned

Constructor Detail

### ShortArrayConverter

    public ShortArrayConverter(int[] lengths,
                               boolean unsigned)

Method Detail

### assign

    void assign(Object obj,
                int i,
                double v)

  Specified by:
    `assign` in class `GenericArrayConverter`